CMSIS-Driver: WiFi Socket Option definitions

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
WiFi Socket Option definitions
WiFi Socket

WiFi Socket Option definitions. More...

## Macros

#define | ARM_SOCKET_IO_FIONBIO 1
| Non-blocking I/O (Set only, default = 0); opt_val = &nbio, opt_len = sizeof(nbio), nbio (integer): 0=blocking, non-blocking otherwise. More...
#define | ARM_SOCKET_SO_RCVTIMEO 2
| Receive timeout in ms (default = 0); opt_val = &timeout, opt_len = sizeof(timeout) More...
#define | ARM_SOCKET_SO_SNDTIMEO 3
| Send timeout in ms (default = 0); opt_val = &timeout, opt_len = sizeof(timeout) More...
#define | ARM_SOCKET_SO_KEEPALIVE 4
| Keep-alive messages (default = 0); opt_val = &keepalive, opt_len = sizeof(keepalive), keepalive (integer): 0=disabled, enabled otherwise. More...
#define | ARM_SOCKET_SO_TYPE 5
| Socket Type (Get only); opt_val = &socket_type, opt_len = sizeof(socket_type), socket_type (integer): ARM_SOCKET_SOCK_xxx. More...

## Description

WiFi Socket Option definitions.

The WiFi Socket Option specifies the socket option for which the value is to be set or obtained.

## Macro Definition Documentation

#define ARM_SOCKET_IO_FIONBIO 1

Non-blocking I/O (Set only, default = 0); opt_val = &nbio, opt_len = sizeof(nbio), nbio (integer): 0=blocking, non-blocking otherwise.

Enables or disables the non-blocking mode for the WiFi socket.

See Also
  WiFi Socket Option definitions

#define ARM_SOCKET_SO_RCVTIMEO 2

Receive timeout in ms (default = 0); opt_val = &timeout, opt_len = sizeof(timeout)

Specifies the time limit for receiving in blocking mode. The time limit is in milliseconds.

See Also
  WiFi Socket Option definitions

#define ARM_SOCKET_SO_SNDTIMEO 3

Send timeout in ms (default = 0); opt_val = &timeout, opt_len = sizeof(timeout)

Specifies the time limit for sending in blocking mode. The time limit is in milliseconds.

See Also
  WiFi Socket Option definitions

#define ARM_SOCKET_SO_KEEPALIVE 4

Keep-alive messages (default = 0); opt_val = &keepalive, opt_len = sizeof(keepalive), keepalive (integer): 0=disabled, enabled otherwise.

Enables or disables the keep-alive mode for the stream socket.

See Also
  WiFi Socket Option definitions

#define ARM_SOCKET_SO_TYPE 5

Socket Type (Get only); opt_val = &socket_type, opt_len = sizeof(socket_type), socket_type (integer): ARM_SOCKET_SOCK_xxx.

Obtains the type of the Wifi socket.

See Also
  WiFi Socket Option definitions